## mysql-workbench 6.3.6%2Bdfsg

=== tools/CMakeLists.txt ===
add_subdirectory(genobj)
add_subdirectory(genwrap)
